<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Bootstrap Grid System</title>
    <!-- Linking of Bootstrap -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
    <!-- Custom CSS -->
    <!-- <link rel="stylesheet" href="./index.css"> -->
</head>
    <body class="text-center">
        <h1>Bootstrap Grid System</h1>
            
        <!-- Two Columns -->
        <h2>Two Columns</h2>
        <div class="container-fluid">
            <h3>1:1 Ratio</h3>
            <div class="row">
                <div class=" pt-3 pb-3 border border-dark col-6 bg-primary">6col</div>
                <div class="pt-3 pb-3 border border-dark col-7 bg-secondary">6col</div>
            </div>

            <h3>1:3 Ratio </h3>
            <div class="row">
                <div class="col-3 pt-3 pb-3 border bg-primary border-dark">3 cols</div>
                <div class="col-9 pt-3 pb-3 border bg-secondary border-dark">9 cols</div>
            </div>

            <h3>1:2 Ratio</h3>
            <div class="row">
                <div class="col-4 pt-3 pb-3 border bg-primary border-dark">4 cols</div>
                <div class="col-8 pt-3 pb-3 border bg-secondary border-dark">8 cols</div>
            </div>

            <h3></h3>

        </div>

        <!-- Three Columns -->
        <div class="container-fluid">
            <h3>1:1:1</h3>
            <div class="row">
                
                <div class="col-4 pt-3 pb-3 border bg-primary border-dark">4 cols</div>
                <div class="col-4 pt-3 pb-3 border bg-warning border-dark">4 cols</div>
                <div class="col-4 pt-3 pb-3 border bg-info border-dark">4 cols</div>
            </div>

            <h3>1:2:1 Ratio</h3>
            <div class="row">
                <div class="col-3 pt-3 pb-3 border bg-primary border-dark">3 cols</div>
                <div class="col-6 pt-3 pb-3 border bg-danger border-dark">6 cols</div>
                <div class="col-3 pt-3 pb-3 border bg-success border-dark">3 cols</div>
            </div>

            <h3>3:7:2</h3>
            <div class="row">
                <div class="col-3 pt-3 pb-3 border bg-secondary border-dark">3 cols</div>
                <div class="col-7 pt-3 pb-3 border bg-warning border-dark">7 cols</div>
                <div class="col-2 pt-3 pb-3 border bg-info border-dark">2 cols</div>
            </div>
        </div>


        <h2>Automatic Sizing</h2>
        <div class="container-fluid">
            <div class="row">
                <div class="col-6 pt-3 pb-3 border bg-secondary border-dark">Automatic</div>
                <div class="col pt-3 pb-3 border bg-secondary border-dark">Automatic</div>
                <div class="col pt-3 pb-3 border bg-warning border-dark">Automatic</div>
            </div>
        </div>

        <br><br>
        <h2>Multi-row Layouts</h2>
        <div class="container-fluid">
            <div class="row">
                <div class="col-6 pt-3 pb-3 border bg-primary border-dark">Catalog1</div>
                <div class="col-5 pt-3 pb-3 border bg-success border-dark">Catalog 2</div>
                <div class="col pt-3 pb-3 border bg-warning border-dark">Catalog 3</div>
            </div>
            <div class="row">
                <div class="col-6 pt-3 pb-3 border bg-dark border-dark">Catalog 4</div>
                <div class="col pt-3 pb-3 border bg-secondary border-dark">Catalog 5</div>
                <div class="col pt-3 pb-3 border bg-light text-dark border-dark">Catalog 6</div>
            </div>
        </div>


        <h2>Offsetting Columns</h2>
        <div class ="container-fluid">
            <div class="row">
                <div class="offset-3 col-6 pt-3 pb-3 border bg-primary border-dark">Offset column</div>
                <div class=" mx-auto col-7 pt-3 pb-3 border bg-success border-dark">Offset column</div>
                <div class=" offset-md-5 offset-0 col pt-3 pb-3 border bg-warning border-dark">Offset column</div>
            </div>
        </div>

        <h2>Column Orders</h2>
        <div class="container-fluid">
            <div class="row">
                
                <div class="col pt-3 pb-3 border bg-success border-dark order-md-2 order-1">Left</div>
                <div class="col  pt-3 pb-3 border bg-warning border-dark order-md-1 order-2">Right</div>
                

            </div>
        </div>


        <!-- script -->
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

    </body>
</html>